3

According to this monodevelop/xamarin studio 5.8 is out.

But on the official repositories, I can only get 5.7

Is there a way to get the latest version?

  • Thanks! Have you tried it? (last time I installed monodevelop from a ppa, it messed my configuration). If you are positive that this works without side effects you can propose it as an answer. – Name is carl Mar 31 '15 at 15:27
  • You asked about the last version. – A.B. Mar 31 '15 at 15:31
  • It works perfectly (MD 5.9), thanks! If you want to create an answer, I would accept it. – Name is carl Apr 23 '15 at 9:04
  • Thx, here is the answer :) – A.B. Apr 23 '15 at 9:17
1

You can use this PPA for the latest beta release:

A custom build of the latest beta release of MonoDevelop (built from the tag in git) that can be installed parallel to the version included in the official Ubuntu repositories.

sudo add-apt-repository ppa:ermshiperete/monodevelop-beta
sudo apt-get update
sudo apt-get install monodevelop-current

The latest version today is 5.9.0.427 for Precise, Trusty, Utopic and Vivid.

If there are problems during installation, similar to mine in Vivid, then just install the dependencies manually, e.g.:

sudo apt-get install gtk-sharp-4.0
sudo apt-get install gnome-sharp-4.0
sudo apt-get install mono-addins-4.0
sudo apt-get install jscall-sharp-0

The above were mine, you might have more/less then these.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.